# HG changeset patch
# User Barbara Locsi <locsi.barbara@gmail.com>
# Date 1466106663 -7200
#      Thu Jun 16 21:51:03 2016 +0200
# Node ID 559b56d48ceb057179dac882ed54b1ac5bf55e23
# Parent  40f344f2ad2e168812b76d1d49ea5671245e1ae0
eig.cc: Add tests

diff -r 40f344f2ad2e -r 559b56d48ceb libinterp/corefcn/eig.cc
--- a/libinterp/corefcn/eig.cc	Tue Mar 29 23:47:08 2016 +0200
+++ b/libinterp/corefcn/eig.cc	Thu Jun 16 21:51:03 2016 +0200
@@ -227,8 +227,16 @@ The eigenvalues returned by @code{eig} a
 %! assert (d, [-1, 0; 0, 3], sqrt (eps));
 %! assert (v, [-x, x; x, x], sqrt (eps));
 
+%!test
+%! [v, d] = eig ([1, 2; 2, 1], 'balance');
+%! x = 1 / sqrt (2);
+%! assert (d, [-1, 0; 0, 3], sqrt (eps));
+%! assert (v, [-x, x; x, x], sqrt (eps));
+
 %!assert (eig (single ([1, 2; 2, 1])), single ([-1; 3]), sqrt (eps ("single")))
 
+%!assert (eig (single ([1, 2; 2, 1]), 'balance'), single ([-1; 3]), sqrt (eps ("single")))
+
 %!test
 %! [v, d] = eig (single ([1, 2; 2, 1]));
 %! x = single (1 / sqrt (2));
@@ -236,6 +244,12 @@ The eigenvalues returned by @code{eig} a
 %! assert (v, [-x, x; x, x], sqrt (eps ("single")));
 
 %!test
+%! [v, d] = eig (single ([1, 2; 2, 1]), 'balance');
+%! x = single (1 / sqrt (2));
+%! assert (d, single ([-1, 0; 0, 3]), sqrt (eps ("single")));
+%! assert (v, [-x, x; x, x], sqrt (eps ("single")));
+
+%!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
 %! [v, d] = eig (A, B);
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
@@ -306,6 +320,14 @@ The eigenvalues returned by @code{eig} a
 %!error <EIG requires same size matrices> eig ([1, 2; 3, 4], 2)
 %!error <must be a square matrix> eig ([1, 2; 3, 4; 5, 6])
 %!error <wrong type argument> eig ("abcd")
-%!error <wrong type argument> eig ([1 2 ; 2 3], "abcd")
+%!error <eig: unexpected second input: abcd> eig ([1 2 ; 2 3], "abcd")
 %!error <wrong type argument> eig (false, [1 2 ; 2 3])
-*/
+%!test
+%! A = [3 -2 -0.9 0; -2 4 1 -0; -0 0 -1 0; -0.5 -0.5 0.1 1];
+%! [V1, D1] = eig (A);
+%! [V2, D2] = eig (A, 'balance');
+%! [V3, D3] = eig (A, 'nobalance');
+%! assert (V1, V2);
+%! assert (D1, D2);
+%! assert (isequal (V2, V3), false);
+*/
\ No newline at end of file
 
 
